com.sun.grid.jgdi.configuration

## Interface CalendarQueueState

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    CalendarQueueStateImpl

      public interface CalendarQueueState
      extends GEObject

  Java representation of the cull object CQU_Type defined in sge_all_listsL.template

  Warning: The CalendarQueueState class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getState()` Get the value of the state attribute.
    `int` | `getTill()` Get the value of the till attribute.
    `boolean` | `isSetState()` Determine if any state attribute is set
    `boolean` | `isSetTill()` Determine if any till attribute is set
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setTill(int aTill)` Set the till attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setState

          void setState(int aState)

      Set the state attribute.
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          int getState()

      Get the value of the state attribute.
      Returns:
        the value of the state attribute

    - #### isSetState

          boolean isSetState()

      Determine if any state attribute is set
      Returns:
        `true` if the state attribute is set

    - #### setTill

          void setTill(int aTill)

      Set the till attribute.
      Parameters:
        `aTill` - the new value for the till attribute

    - #### getTill

          int getTill()

      Get the value of the till attribute.
      Returns:
        the value of the till attribute

    - #### isSetTill

          boolean isSetTill()

      Determine if any till attribute is set
      Returns:
        `true` if the till attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.